Package org.apache.torque

## Class ColumnImplTest

- java.lang.Object
- - org.apache.torque.ColumnImplTest

-     public class ColumnImplTest
      extends Object

  Test for the class ColumnImpl
  Version:
    $Id: ColumnImplTest.java 1850726 2019-01-08 10:56:07Z gk $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnImplTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testEquals()` |
    `void` | `testEqualsSchemaTableColumnNull()` |
    `void` | `testEqualsWrongColumn()` |
    `void` | `testEqualsWrongSchema()` |
    `void` | `testEqualsWrongSqlExpression()` |
    `void` | `testEqualsWrongTable()` |
    `void` | `testGetSqlExpressionNoSchema()` |
    `void` | `testGetSqlExpressionWithSchema()` |
    `void` | `testSchemaTableColumnConstructor()` |
    `void` | `testSchemaTableColumnConstructorBlankColumnName()` |
    `void` | `testSchemaTableColumnConstructorBlankSchemaName()` |
    `void` | `testSchemaTableColumnConstructorBlankTableName()` |
    `void` | `testSchemaTableColumnConstructorNullColumnName()` |
    `void` | `testSchemaTableColumnConstructorNullSchemaName()` |
    `void` | `testSchemaTableColumnConstructorNullTableName()` |
    `void` | `testSchemaTableColumnConstructorWithSchemaInConstructorAndTable()` |
    `void` | `testSchemaTableColumnConstructorWithSchemaInTable()` |
    `void` | `testSqlExpressionConstructor()` |
    `void` | `testSqlExpressionConstructorAlias()` |
    `void` | `testSqlExpressionConstructorAsterisk()` |
    `void` | `testSqlExpressionConstructorAsteriskAndSchema()` |
    `void` | `testSqlExpressionConstructorBlank()` |
    `void` | `testSqlExpressionConstructorBlankColumnName()` |
    `void` | `testSqlExpressionConstructorBlankTableName()` |
    `void` | `testSqlExpressionConstructorComparisonAfter()` |
    `void` | `testSqlExpressionConstructorComparisonBefore()` |
    `void` | `testSqlExpressionConstructorCount()` |
    `void` | `testSqlExpressionConstructorInClause()` |
    `void` | `testSqlExpressionConstructorNoDot()` |
    `void` | `testSqlExpressionConstructorNull()` |
    `void` | `testSqlExpressionConstructorSqlFunction()` |
    `void` | `testSqlExpressionConstructorSqlFunctionAsteriskColumnName()` |
    `void` | `testSqlExpressionConstructorSqlFunctionAsteriskOnly()` |
    `void` | `testSqlExpressionConstructorSqlFunctionEmptyTableName()` |
    `void` | `testTableColumnConstructor()` | Test table column constructor
    `void` | `testTableColumnConstructorBlankColumnName()` |
    `void` | `testTableColumnConstructorBlankTableName()` | Test table column constructor with blank table name
    `void` | `testTableColumnConstructorNullColumnName()` |
    `void` | `testTableColumnConstructorNullTableName()` | Test table column constructor with null table name
    `void` | `testTableColumnConstructorWithSchemaInTable()` | Test table column constructor with schema in table
    `void` | `testToString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnImplTest

          public ColumnImplTest()

  - ### Method Detail

    - #### testTableColumnConstructor

          @Test
          public void testTableColumnConstructor()

      Test table column constructor

    - #### testTableColumnConstructorWithSchemaInTable

          @Test
          public void testTableColumnConstructorWithSchemaInTable()

      Test table column constructor with schema in table

    - #### testTableColumnConstructorNullTableName

          @Test
          public void testTableColumnConstructorNullTableName()

      Test table column constructor with null table name

    - #### testTableColumnConstructorBlankTableName

          @Test
          public void testTableColumnConstructorBlankTableName()

      Test table column constructor with blank table name

    - #### testTableColumnConstructorNullColumnName

          @Test
          public void testTableColumnConstructorNullColumnName()

    - #### testTableColumnConstructorBlankColumnName

          @Test
          public void testTableColumnConstructorBlankColumnName()

    - #### testSchemaTableColumnConstructor

          @Test
          public void testSchemaTableColumnConstructor()

    - #### testSchemaTableColumnConstructorWithSchemaInConstructorAndTable

          @Test
          public void testSchemaTableColumnConstructorWithSchemaInConstructorAndTable()

    - #### testSchemaTableColumnConstructorWithSchemaInTable

          @Test
          public void testSchemaTableColumnConstructorWithSchemaInTable()

    - #### testSchemaTableColumnConstructorNullSchemaName

          @Test
          public void testSchemaTableColumnConstructorNullSchemaName()

    - #### testSchemaTableColumnConstructorNullTableName

          @Test
          public void testSchemaTableColumnConstructorNullTableName()

    - #### testSchemaTableColumnConstructorBlankSchemaName

          @Test
          public void testSchemaTableColumnConstructorBlankSchemaName()

    - #### testSchemaTableColumnConstructorBlankTableName

          @Test
          public void testSchemaTableColumnConstructorBlankTableName()

    - #### testSchemaTableColumnConstructorNullColumnName

          @Test
          public void testSchemaTableColumnConstructorNullColumnName()

    - #### testSchemaTableColumnConstructorBlankColumnName

          @Test
          public void testSchemaTableColumnConstructorBlankColumnName()

    - #### testSqlExpressionConstructor

          @Test
          public void testSqlExpressionConstructor()

    - #### testSqlExpressionConstructorNull

          @Test
          public void testSqlExpressionConstructorNull()

    - #### testSqlExpressionConstructorBlank

          @Test
          public void testSqlExpressionConstructorBlank()

    - #### testSqlExpressionConstructorNoDot

          @Test
          public void testSqlExpressionConstructorNoDot()

    - #### testSqlExpressionConstructorAsterisk

          @Test
          public void testSqlExpressionConstructorAsterisk()

    - #### testSqlExpressionConstructorAsteriskAndSchema

          @Test
          public void testSqlExpressionConstructorAsteriskAndSchema()

    - #### testSqlExpressionConstructorBlankColumnName

          @Test
          public void testSqlExpressionConstructorBlankColumnName()

    - #### testSqlExpressionConstructorBlankTableName

          @Test
          public void testSqlExpressionConstructorBlankTableName()

    - #### testSqlExpressionConstructorCount

          @Test
          public void testSqlExpressionConstructorCount()

    - #### testSqlExpressionConstructorSqlFunction

          @Test
          public void testSqlExpressionConstructorSqlFunction()

    - #### testSqlExpressionConstructorComparisonAfter

          @Test
          public void testSqlExpressionConstructorComparisonAfter()

    - #### testSqlExpressionConstructorComparisonBefore

          @Test
          public void testSqlExpressionConstructorComparisonBefore()

    - #### testSqlExpressionConstructorInClause

          @Test
          public void testSqlExpressionConstructorInClause()

    - #### testSqlExpressionConstructorSqlFunctionAsteriskColumnName

          @Test
          public void testSqlExpressionConstructorSqlFunctionAsteriskColumnName()

    - #### testSqlExpressionConstructorSqlFunctionAsteriskOnly

          @Test
          public void testSqlExpressionConstructorSqlFunctionAsteriskOnly()

    - #### testSqlExpressionConstructorSqlFunctionEmptyTableName

          @Test
          public void testSqlExpressionConstructorSqlFunctionEmptyTableName()

    - #### testSqlExpressionConstructorAlias

          @Test
          public void testSqlExpressionConstructorAlias()

    - #### testGetSqlExpressionNoSchema

          @Test
          public void testGetSqlExpressionNoSchema()

    - #### testGetSqlExpressionWithSchema

          @Test
          public void testGetSqlExpressionWithSchema()

    - #### testEquals

          @Test
          public void testEquals()

    - #### testEqualsSchemaTableColumnNull

          @Test
          public void testEqualsSchemaTableColumnNull()

    - #### testEqualsWrongColumn

          @Test
          public void testEqualsWrongColumn()

    - #### testEqualsWrongTable

          @Test
          public void testEqualsWrongTable()

    - #### testEqualsWrongSchema

          @Test
          public void testEqualsWrongSchema()

    - #### testEqualsWrongSqlExpression

          @Test
          public void testEqualsWrongSqlExpression()

    - #### testToString

          @Test
          public void testToString()